Package commoble.morered.gatecrafting_plinth

# Class GatecraftingRecipe

java.lang.Object
net.minecraft.world.item.crafting.ShapelessRecipe
commoble.morered.gatecrafting_plinth.GatecraftingRecipe

All Implemented Interfaces:
  `net.minecraft.world.item.crafting.CraftingRecipe`, `net.minecraft.world.item.crafting.Recipe<net.minecraft.world.inventory.CraftingContainer>`

public class GatecraftingRecipe extends net.minecraft.world.item.crafting.ShapelessRecipe
Wrapper around vanilla shapeless recipes to change the recipe type

## Nested Class Summary

## Nested classes/interfaces inherited from class net.minecraft.world.item.crafting.ShapelessRecipe

`net.minecraft.world.item.crafting.ShapelessRecipe.Serializer`

## Constructor Summary

Constructors
Constructor
Description
`GatecraftingRecipe(net.minecraft.world.item.crafting.ShapelessRecipe baseRecipe)`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`doesPlayerHaveIngredients(net.minecraft.world.entity.player.Inventory playerInventory, net.minecraft.world.item.crafting.Recipe<net.minecraft.world.inventory.CraftingContainer> recipe)`
`net.minecraft.world.item.crafting.RecipeSerializer<?>`
`getSerializer()`
`net.minecraft.world.item.crafting.RecipeType<?>`
`getType()`

### Methods inherited from class net.minecraft.world.item.crafting.ShapelessRecipe

`assemble, canCraftInDimensions, getGroup, getId, getIngredients, getResultItem, matches`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.world.item.crafting.Recipe

`getRemainingItems, getToastSymbol, isIncomplete, isSpecial`

## Constructor Details

### GatecraftingRecipe

public GatecraftingRecipe(net.minecraft.world.item.crafting.ShapelessRecipe baseRecipe)

## Method Details

### getType

public net.minecraft.world.item.crafting.RecipeType<?> getType()

### getSerializer

public net.minecraft.world.item.crafting.RecipeSerializer<?> getSerializer()

Specified by:
  `getSerializer` in interface `net.minecraft.world.item.crafting.Recipe<net.minecraft.world.inventory.CraftingContainer>`
Overrides:
  `getSerializer` in class `net.minecraft.world.item.crafting.ShapelessRecipe`

### doesPlayerHaveIngredients

public static boolean doesPlayerHaveIngredients(net.minecraft.world.entity.player.Inventory playerInventory, @Nonnull net.minecraft.world.item.crafting.Recipe<net.minecraft.world.inventory.CraftingContainer> recipe)